SDL_WindowTextureData Struct Reference
Collaboration diagram for SDL_WindowTextureData:
[legend]

## Data Fields

SDL_Renderer * | renderer
SDL_Texture * | texture
void * | pixels
int | pitch
int | bytes_per_pixel

## Detailed Description

Definition at line 160 of file SDL_video.c.

## Field Documentation

## bytes_per_pixel

int SDL_WindowTextureData::bytes_per_pixel

Definition at line 165 of file SDL_video.c.

Referenced by SDL_CreateWindowTexture(), and SDL_UpdateWindowTexture().

## pitch

int SDL_WindowTextureData::pitch

Definition at line 164 of file SDL_video.c.

Referenced by SDL_CreateWindowTexture(), and SDL_UpdateWindowTexture().

## pixels

void* SDL_WindowTextureData::pixels

Definition at line 163 of file SDL_video.c.

Referenced by SDL_CreateWindowTexture(), SDL_DestroyWindowTexture(), and SDL_UpdateWindowTexture().

## renderer

SDL_Renderer* SDL_WindowTextureData::renderer

Definition at line 161 of file SDL_video.c.

Referenced by SDL_CreateWindowTexture(), SDL_DestroyWindowTexture(), and SDL_UpdateWindowTexture().

## texture

SDL_Texture* SDL_WindowTextureData::texture

Definition at line 162 of file SDL_video.c.

Referenced by SDL_CreateWindowTexture(), SDL_DestroyWindowTexture(), and SDL_UpdateWindowTexture().

The documentation for this struct was generated from the following file:

- src/video/SDL_video.c